Subject: Re: Why the net driver for saa9730 is not a module?

From: Ralf Baechle <[email-masked]>
Date: Sat, 22 Sep 2001 13:12:19 +0200

On Thu, Sep 20, 2001 at 08:17:36AM +1000, Eyal Lebedinsky wrote:

> The config does not offer it. Any reason?
> 
> I had no trouble building it, however I do not have the hware to check
> that all is well.

SAA9730 is such an extremly buggy piece of silicon that Phillips stopped
supporting it.  So this driver is used for the Atlas board only which
also has been superseeded by the Malta board; and you shouldn't expect any
future development on this driver.  That said, the driver doesn't work
as a module; a quick look at it shows that at least the module_exit()
functionality isn't supported.

  Ralf